package org.bytedream.quizzledizzle.options;

import org.bytedream.quizzledizzle.console.Console;
import org.bytedream.quizzledizzle.question.Question;
import org.bytedream.quizzledizzle.question.Questions;

public class Singleplayer extends Option {
    public Singleplayer(Console console, Questions defaultQuestions) {
        super(console, defaultQuestions);
    }

    @Override
    public String start() throws Exception {
        while (true) {
            Question question = defaultQuestions.randomQuestion();
            int answer = console.showQuestion(question);
            if (answer == -1) {
                return null;
            }
            this.showResult(question, answer);
        }
    }
}
