package org.bytedream.quizzledizzle.question;

public class Question {

    private final String question;
    private final int rightAnswerIndex;
    private final String[] answers;

    public Question(String question, int rightAnswerIndex, String... answers) {
        this.question = question;
        this.rightAnswerIndex = rightAnswerIndex;
        this.answers = answers;
    }

    public String getQuestion() {
        if (!question.endsWith("?")) {
            return question + '?';
        }
        return question;
    }

    public int getRightAnswerIndex() {
        return rightAnswerIndex;
    }

    public String[] getAnswers() {
        return answers;
    }

}
